function A = quadrupole (kk, len, gam)
k = sqrt(kk);
a = k*len;
cf = cos(a);
sf = sin(a);
cd = cosh(a);
sd = sinh(a);
A = zeros(6,6);
A=[cf,     sf/k,    0,     0,   0,          0;
   -k*sf,  cf,      0,     0,   0,          0;
   0,      0,      cd,  sd/k,   0,          0;
   0,      0,    k*sd,    cd,   0,          0;
   0,      0,       0,     0, 1.0,  len/gam^2;
   0,      0,       0,     0,   0,        1.0];
end
