function M=unTwiss(T)
# This hasn't been written yet.
  if(T(1,1)<0 || T(1,3)<0 || T(3,1)<0 || T(3,3)<0)
    printf("Not a valid Twiss matrix: negative corner.\n");
    return;
  endif
#  printf("det(T)-1=%e\n",det(T)-1);
  if(abs(det(T))<1.0e-14)
    printf("Not a valid Twiss matrix (det!=1).\n");
    return;
  endif
  if(T(1,1)>0)
    M(1,1)=sqrt(T(1,1));
    M(1,2)=-T(1,2)/M(1,1)/2.0;
    M(2,1)=-T(2,1)/M(1,1);
    M(2,2)=(1.0+M(2,1)*M(1,2))/M(1,1);
  elseif(T(1,3)>0)
    M(1,2)=sqrt(T(1,3));
    M(1,1)=-T(1,2)/M(1,2)/2.0;
    M(2,2)=-T(2,3)/M(1,2);
    M(2,1)=(M(1,1)*M(2,2)-1.0)/M(1,2);
  else
    printf("Not a valid Twiss matrix.\n");
  endif
endfunction
