// $Header: /home/thoth/mackay/lib/wstring/RCS/eat_switch_with_arg.cxx,v 1.1 1998/02/19 02:46:31 mackay Exp mackay $
// eat_switch_with_arg.cc

#include "lagniappe.hxx"

//========================
std::string eat_switch_with_arg(int *argc, char **argv, const char *sw)
{
// This function searches the argument list "argv" for the switch sw
// followed by an argument
// If it finds the switch both the switch and its argument are deleted
// from the list, and the argument of the switch is returned as a wstring.
// If the switch is not found, then a null wstring is returned.

  int i, j;
  std::string answer;

  for(i=0;i<*argc-1;i++)
    {
      if(strcmp(sw,argv[i])==0)
	 {
	   answer = argv[i+1];

	   for(j=i+2;j<*argc;j++)
	     {
	       argv[j-2] = argv[j];
	     }

	   *argc -= 2;
	   return answer;
	 }
    }
  return answer;
}
//========================
#ifdef MAINTESTPROG
int main(int argc, char** argv)
{
  int i;

  printf(
    "By the way this test program should called with the switch '-test'\n");
  
  std::string str = eat_switch_with_arg(&argc, argv, "-test");
  printf("Result:%s\n", str.c_str());
  printf("Remaining switches and args:\n");
  for(i=0;i<argc;i++)
    {
      printf("%d\t%s\n", i, argv[i]);
    }

  return 0;
}
#endif
