// $Header: $
// test.cxx  a test program for the mat3 class

#include "mat3/mat3.hxx"
#include <iostream>
using namespace std;
//==================
int main(int argc, char** argv)
{
  mat3 A, B, C;
  cout << "A:\n"<<A;
  B.m[0][0] = 1;
  B.m[0][1] = 2;
  B.m[0][2] = 3;
  B.m[1][0] = 5;
  B.m[1][1] = 6;
  B.m[1][2] = 7;
  B.m[2][0] = 9;
  B.m[2][1] = 10;
  B.m[2][2] = 11;
  cout <<"B:\n"<<B;
  cout <<"trace(B)="<<trace(B)<<endl;
  cout <<"transpose(B):\n"<<transpose(B);
  
  cout << "A:\n" << A;
  cout << "B:\n" << B;
  C = A+B;

  cout << "C=A+B:\n"<<C;
  cout << "B*C\n"<<B*C<<endl;

  cout << "B:\n" << B;
  cout << "det(B)="<<det(B)<<endl;
  cout << "A+B:\n" << A+B;
  cout << "det(A+B)="<<det(A+B)<<endl;

  mat3 D;
  D = inverse(A+B);
  cout << "D=inverse(A+B):\n"<<D;
  cout << "D*C:\n"<<D*C;

  C = B-A;
  cout <<"C=B-A\n"<<C;
  cout <<"det(C)="<<det(C)<<endl;
  return 0;
}
