#!/usr/bin/env python
import sys
import popen2
import re

Ylist = []
for line in open("Ylist.cdr", "r"):
    Ylist.append(str.strip(line))

Ylen = len(Ylist)

Klist = []
for line in open("Klist.cdr", "r"):
    Klist.append(str.strip(line))


Klen = len(Klist)

foct = open("correctorb.oct", "w")
foct.write("v=[\n")
j = 0
for line in open("orbit.dat", "r"):
    if line[0]!='#':
        parts = re.split("[ \n]*", line)
        if Ylist.__contains__(parts[9]):
            dx = float(parts[2])
            st = "%f" % dx
            if j>0:
                foct.write(";\t")
            foct.write(st)
            j = j+1
foct.write("];\n")
foct.write("kicks=-R*v;\n")
foct.write("Klist = [")
for kick in Klist:
    eltstring = "'%s'; " % kick
    foct.write(eltstring)
foct.write("];\n")

foct.write("Ylist = [")
for bpm in Ylist:
    eltstring = "'%s'; " % bpm
    foct.write(eltstring)
foct.write("];\n")

foct.write("f = fopen(\"correct.bump\", \"w\");\n")
foct.write("fprintf(f, \"nbumps 1\\n\")\n")
xxx = "fprintf(f, \"name orbcor %d 1.0 1\\n\");\n" % Klen
foct.write(xxx)
foct.write("for i=1:size(Klist)(1)\n")
foct.write(" fprintf(f,\"%-15s %11.9f\\n\",Klist(i,:),kicks(i));\n")
foct.write("endfor;\n")
foct.write("fclose(f)\n")
foct.close()
