#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

// Define some geometric lengths:
const int ncell = 20;
const double ldip = 2.0;
const double lquad = 1.0;
const double lsex = 0.5;
const double l0 = 0.2;
const double l1 = 1.0;

double pi, twopi;

double kf, kd, ksf, ksd;

int main(int argc, char** argv)
{
  double stot, s;
  double rho;
  double theta;

  if(argc<3)
    {
      fprintf(stderr, "Usage: %s <kf> <kd> [<ksf> <ksd>]\n", argv[0]);
      return -1;
    }
  //  fprintf(stderr, "argc = %d\n", argc);
  kf = atof(argv[1]);
  kd = atof(argv[2]);
  if(argc>3) ksf = atof(argv[3]);
  if(argc>4) ksd = atof(argv[4]);

  fprintf(stderr, "kf  = %+f\n", kf);
  fprintf(stderr, "kd  = %+f\n", kd);
  fprintf(stderr, "ksf = %+f\n", ksf);
  fprintf(stderr, "ksd = %+f\n", ksd);

  pi = acos(-1.0);
  twopi = 2.0*pi;
  s = stot = 0;

  theta = pi/(double)ncell; // two bends per cell




  return 0;
}
