function A = Vhealy(M)
#This calculates a symmetric matrix from an almost symplectic matrix
#via Healy's algorithm.
  d = rows(M);
  S = zeros(d);
  II = eye(d);
  n = 1;
  while n<d
    S(n,n+1) = -1;
    S(n+1,n) = 1;
    n = n+2;
  endwhile;
  V = S*(II-M)*inverse(II+M);
  A = (V+V')/2.;
end
